﻿<%@ Page Language="C#" Inherits="System.Web.Mvc.ViewPage<NerdDinnerReloaded.Models.Dinner>" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

    <html xmlns="http://www.w3.org/1999/xhtml" >
    <head>
        <title>Create New Dinner</title>
        <link href="/Content/Site.css" rel="stylesheet" type="text/css" />
        <script src="/Scripts/MicrosoftAjax.js" type="text/javascript"></script>
        <script src="/Scripts/MicrosoftMvcValidation.js" type="text/javascript"></script>
    </head>
    <body>

    <% Html.EnableClientValidation(); %>

    <h1>Create New Dinner</h1>

    <% using (Html.BeginForm()) {%>

        <%: Html.ValidationSummary(true) %>

        <fieldset>      
            <div class="editor-label">
                <%: Html.LabelFor(dinner => dinner.Title)%>
            </div>
            <div class="editor-field">
                <%: Html.TextBoxFor(dinner => dinner.Title)%>
                <%: Html.ValidationMessageFor(dinner => dinner.Title)%>
            </div>
            
            <div class="editor-label">
                <%: Html.LabelFor(dinner => dinner.EventDate)%>
            </div>
            <div class="editor-field">
                <%: Html.TextBoxFor(dinner => dinner.EventDate)%>
                <%: Html.ValidationMessageFor(dinner => dinner.EventDate)%>
            </div>
            
            <div class="editor-label">
                <%: Html.LabelFor(dinner => dinner.Address.Street)%>
            </div>
            <div class="editor-field">
                <%: Html.TextBoxFor(dinner => dinner.Address.Street)%>
                <%: Html.ValidationMessageFor(dinner => dinner.Address.Street)%>
            </div>
            
            <div class="editor-label">
                <%: Html.LabelFor(dinner => dinner.Address.City)%>
            </div>
            <div class="editor-field">
                <%: Html.TextBoxFor(dinner => dinner.Address.City)%>
                <%: Html.ValidationMessageFor(dinner => dinner.Address.City)%>
            </div>

            <div class="editor-label">
                <%: Html.LabelFor(dinner => dinner.Address.PostCode)%>
            </div>
            <div class="editor-field">
                <%: Html.TextBoxFor(dinner => dinner.Address.PostCode)%>
                <%: Html.ValidationMessageFor(dinner => dinner.Address.PostCode)%>
            </div>

            <div class="editor-label">
                <%: Html.LabelFor(dinner => dinner.Address.Country)%>
            </div>
            <div class="editor-field">
                <%: Html.TextBoxFor(dinner => dinner.Address.Country)%>
                <%: Html.ValidationMessageFor(dinner => dinner.Address.Country)%>
            </div>

            <div class="editor-label">
                <%: Html.LabelFor(dinner => dinner.HostedBy)%>
            </div>
            <div class="editor-field">
                <%: Html.TextBoxFor(dinner => dinner.HostedBy)%>
                <%: Html.ValidationMessageFor(dinner => dinner.HostedBy)%>
            </div>

            <p>
                <input type="submit" value="Create" />
            </p>
        </fieldset>

    <% } %>

    <div>
        <%: Html.ActionLink("Back to Dinners List", "Index") %>
    </div>

</body>
</html>

