﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Routing;
using NerdDinnerReloaded.Models;
using System.Data.Entity.Infrastructure;

namespace NerdDinnerReloaded
{
    public class MvcApplication : System.Web.HttpApplication
    {
        public static void RegisterRoutes(RouteCollection routes)
        {
            routes.IgnoreRoute("{resource}.axd/{*pathInfo}");

            routes.MapRoute(
                "Default", // Route name
                "{controller}/{action}/{id}", // URL with parameters
                new { controller = "Home", action = "Index", id = UrlParameter.Optional } // Parameter defaults
            );
        }

        void Application_Start()
        {
            Database.SetInitializer<NerdDinners>(new NerdDinnersInitializer());
            
            RegisterRoutes(RouteTable.Routes);
        }
    }
}